ranges::v3::_counted_iterator_::iterator_traits_< I, meta::if_< InputIterator< I > > > Struct Template Reference

## Public Types

using | difference_type = difference_type_t< I >
using | iterator_category = meta::if_c< ForwardIterator< I >() &&std::is_reference< reference_t< I > >::value, std::forward_iterator_tag, std::input_iterator_tag >
using | pointer = meta::_t< detail::pointer_type_< I > >
using | reference = reference_t< I >
using | value_type = value_type_t< I >